petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatInvertBlockDiagonal

Inverts the block diagonal entries.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatInvertBlockDiagonal(Mat mat,const PetscScalar **values)

Collective on Mat Many br

### Input Parameters

mat -the matrix Many br

### Output Parameters

values -the block inverses in column major order (FORTRAN-like) Many br

### Note

This routine is not available from Fortran. Many br

Many br

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages